﻿local E, L, V, P, G = unpack(ElvUI)
local MyPluginName = "ThinkTankUI"
local ThinkTankUI = E:GetModule(MyPluginName);



function ThinkTankUI:LoadMSBTProfile()
	
	MSBTProfiles_SavedVars["profiles"]["ThinkTankUI"] = {
		["critFontName"] = "Expressway",
			["critOutlineIndex"] = 2,
			["enableBlizzardDamage"] = false,
			["creationVersion"] = "5.7.149",
			["normalOutlineIndex"] = 2,
			["events"] = {
				["SELF_HOT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HEAL_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HOT_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HOT_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HOT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HEAL_CRIT"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["INCOMING_HEAL"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
				["SELF_HEAL"] = {
					["message"] = "%a",
					["scrollArea"] = "Custom1",
				},
			},
			["scrollAreas"] = {
				["Incoming"] = {
					["scrollHeight"] = 245,
					["name"] = "Damage (Incoming)",
					["direction"] = "Up",
					["behavior"] = "MSBT_NORMAL",
					["offsetY"] = -55,
					["animationStyle"] = "Straight",
					["offsetX"] = -403,
				},
				["Notification"] = {
					["disabled"] = true,
				},
				["Static"] = {
					["disabled"] = true,
				},
				["Custom1"] = {
					["scrollHeight"] = 245,
					["offsetX"] = -585,
					["offsetY"] = -55,
					["name"] = "Healing (Incoming)",
				},
				["Outgoing"] = {
					["direction"] = "Up",
					["offsetX"] = 375,
					["behavior"] = "MSBT_NORMAL",
					["offsetY"] = -55,
					["animationStyle"] = "Straight",
					["scrollHeight"] = 245,
				},
			},
			["enableBlizzardHealing"] = false,
			["normalFontName"] = "Expressway",
		}
	MikSBT.Profiles.SelectProfile('ThinkTankUI')
end